{

	//强化特殊攻击造成的伤害提升，但施展强化特殊攻击会消耗10%当前生命值。



    "AbilityName" : "Curse_1100021",

    "AbilityStacking":"Unique",

    "DefaultModifier" : 

    {

        "ModifierStacking":"Unique",

        "OnHitOther":

        [

            {

                "$type": "MoleMole.ModifyAttackDataAction",

                "Target" : "Self",

                "PropertyKey": "Actor_AddedDamageRatio", 

                "PropertyValue": "%AddedDamageRatio", 

                "Predicates":

                [

                    {   

                        "$type": "MoleMole.ByFromSkillType",

                        "SkillType": "ExSp",

                        "Target": "Self"

                    }

                ]

            }

        ],

        "OnSkillStart" :

        [

            {

                "$type":"MoleMole.SetAbilitySpecialByExpression",

                "ParamName":"HpReduceAmount",

                "ValueType":"float",

                "Expression":"specials(HpPercentage)*property(CurHP)",

                "Predicates" : 

                [

                    {

                        "$type": "MoleMole.ByIsLocalAvatar",

                        "IsLocalAvatar": true,

                        "Target" : "Self"

                    },

                    {

                        "$type": "MoleMole.ByFromSkillType",

                        "SkillType": "ExSp",

                        "Target": "Self"

                    }

                ]

            },

            {

                "$type": "MoleMole.ModifyProperty",

                "PropertyType": "CurHP",

                "PropertyModifyFunction": "Add",

                "Percentage": 0,

                "Amount": "%HpReduceAmount",

                "Predicates" : 

                [

                    {

                        "$type": "MoleMole.ByIsLocalAvatar",

                        "IsLocalAvatar": true,

                        "Target" : "Self"

                    },

                    {

                        "$type": "MoleMole.ByFromSkillType",

                        "SkillType": "ExSp",

                        "Target": "Self"

                    }

                ]

            },

            {

                "$type": "MoleMole.ModifyProperty",

                "PropertyType": "CurHP",

                "PropertyModifyFunction": "Add",

                "Percentage": 0,

                "Amount": -1,

                "Predicates" : 

                [

                    {

                        "$type": "MoleMole.ByIsLocalAvatar",

                        "IsLocalAvatar": true,

                        "Target" : "Self"

                    },

                    {

                        "$type": "MoleMole.ByFromSkillType",

                        "SkillType": "ExSp",

                        "Target": "Self"

                    }

                ]

            },

            {

                "$type": "MoleMole.ModifyProperty",

                "Predicates" : 

                [

                    {

                        "$type": "MoleMole.ByAliveState",

                        "AliveState": "Alive",

                        "Target" : "Self"

                    },

                    {

                        "$type": "MoleMole.ByIsLocalAvatar",

                        "IsLocalAvatar": true,

                        "Target" : "Self"

                    },

                    {

                        "$type": "MoleMole.ByFromSkillType",

                        "SkillType": "ExSp",

                        "Target": "Self"

                    }

                ],

                "PropertyType": "CurHP",

                "PropertyModifyFunction": "Add",

                "Percentage": 0,

                "Amount": 1

            }

        ]

    },

    "AbilitySpecials" : 

    {

        "HpReduceAmount" :

        {

            "Value" : 0

        },

        //表格参数

        "HpPercentage" :

        {

            "Value" : -0.1

        },

        "AddedDamageRatio" :

        {

            "Value" : 0.15

        }

    }

}